LOCAL_PATH := $(call my-dir)

###################### Build test lib linked by ew_test_tool  #####################
# include $(CLEAR_VARS)

# LOCAL_MODULE := libew_render_test_soft

# LOCAL_SRC_FILES := \
#         main.c\
#         ../../platform/ew_framework.c\
#         $(call all-c-files-under, RGBA8888)

# LOCAL_C_INCLUDES := \
#     $(TOP)/external/ew/package/9/09_30_Soft/RTE \
#     $(TOP)/external/ew/package/9/09_30_Soft/RGBA8888 \
#     $(TOP)/external/ew\
#     $(TOP)/external/ew/platform \
#     $(TOP)/external/ew/platform/include\
#     $(TOP)/hardware/dji/duml/include \
#     ${LOCAL_PATH}/RGBA8888

# LOCAL_SHARED_LIBRARIES := \
#     libewrte_gfx_soft.9.30\
#     libewplatform_unity \
#     libduml_osal\
#     libduml_util \
#     libduml_hal

# LOCAL_CFLAGS += -DEW_SURFACE_ROTATION=0 -DEW_RENDER_TEST_DISP_CFG=\"/system/etc/soft_1440x810_hdmi.json\"
# LOCAL_CFLAGS += -DEW_RENDER_TEST_INPUT_CFG=\"/system/etc/gui/rx_lcd_gui_input_config.json\"
# LOCAL_MODULE_TAGS := optional
# LOCAL_CFLAGS += -fPIC -shared -nostartfiles -DEW_TEST_LIB -Wno-error
# LOCAL_ARM_MODE := arm
# include $(BUILD_SHARED_LIBRARY)

##################################################################################
ifeq (eagle2, $(TARGET_BOARD_PLATFORM))

SRC_DIR := Project/RGBA8888

include $(CLEAR_VARS)
LOCAL_MODULE := ew_render_test_ogl
LOCAL_SRC_FILES := \
        main.c\
        ../../platform/ew_framework.c\
        $(call all-c-files-under, $(SRC_DIR))

LOCAL_C_INCLUDES := \
    $(TOP)/external/ew/package/9/09_30_OGL/RTE \
    $(TOP)/external/ew/package/9/09_30_OGL/RGBA8888 \
    $(TOP)/external/ew\
    $(TOP)/external/ew/platform \
    $(TOP)/external/ew/platform/include\
    $(TOP)/hardware/dji/duml/include \
    ${LOCAL_PATH}/$(SRC_DIR)

LOCAL_SHARED_LIBRARIES := \
    libewrte_gfx.9.30\
    libewplatform_unity \
    libduml_osal\
    libduml_util \
    libduml_hal

LOCAL_CFLAGS += -DEW_SURFACE_ROTATION=90 -DEW_RENDER_TEST_DISP_CFG=\"/system/etc/gui/rx_lcd_gui_disp_config.json\"
LOCAL_CFLAGS += -DEW_RENDER_TEST_INPUT_CFG=\"/system/etc/gui/rx_lcd_gui_input_config.json\"

# LOCAL_CFLAGS += -DEW_SURFACE_ROTATION=0 -DEW_RENDER_TEST_DISP_CFG=\"/system/etc/gui/main_lcd_gui_disp_config.json\"
# LOCAL_CFLAGS += -DEW_RENDER_TEST_INPUT_CFG=\"/system/etc/gui/main_lcd_gui_input_config.json\"

LOCAL_MODULE_TAGS := optional
LOCAL_CFLAGS += -Wno-error -DEQUIPPED_GPU
LOCAL_ARM_MODE := arm
include $(BUILD_EXECUTABLE)
endif